sniff_udp Struct Reference

The sniff_tcp struct contains the UDP header. We use the first two members to extract the src and dst port. Used to extract TCP transport layer information from a packet. More...

`#include <udp_hdr.h>`

## Public Attributes

u_short | th_sport
u_short | th_dport
u_short | th_len
u_short | th_sum

## Detailed Description

The sniff_tcp struct contains the UDP header. We use the first two members to extract the src and dst port. Used to extract TCP transport layer information from a packet.

The documentation for this struct was generated from the following file:

- udp_hdr.h